Edit translation memories
curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/transMemories \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"penalties": [
123
],
"readTransMemories": [
{
"id": "<string>"
}
],
"targetLang": "<string>",
"writeTransMemories": [
{
"id": "<string>"
}
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/transMemories"
payload = {
"penalties": [123],
"readTransMemories": [{ "id": "<string>" }],
"targetLang": "<string>",
"writeTransMemories": [{ "id": "<string>" }]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
penalties: [123],
readTransMemories: [{id: '<string>'}],
targetLang: '<string>',
writeTransMemories: [{id: '<string>'}]
})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/transMemories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transMemories": [
{
"applyPenaltyTo101Only": true,
"penalty": 123,
"readMode": true,
"targetLocale": "<string>",
"transMemory": {
"businessUnit": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"client": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"domain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"id": "<string>",
"internalId": 123,
"name": "<string>",
"note": "<string>",
"owner": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"sourceLang": "<string>",
"subDomain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"targetLangs": [
"<string>"
],
"uid": "<string>"
},
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
},
"writeMode": true
}
]
}Project
Edit translation memories
deprecated
Deprecated. Use PUT /api2/v3/projects//transMemories instead.
PUT
/
api2
/
v1
/
projects
/
{projectUid}
/
transMemories
Edit translation memories
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Project UID
Body
application/json
Translation memory assignment
A list of penalties for each read translation memory
Show child attributes
Show child attributes
Set translation memories only for the specific project target language
Show child attributes
Show child attributes
Write translation memory must be included in the read translation memories, too; max 2 write TMs allowed
Maximum array length:
2Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I